uuid: 31041f46-c8d3-47e1-897c-91989aba8c90
langcode: en
status: closed
dependencies:
  enforced:
    module:
      - webform_templates
_core:
  default_config_hash: tHlVBW0O7k8JVIDYgEeBqMdm152lxE0cTZmdEICs3-c
weight: 0
open: null
close: null
uid: null
template: true
archive: false
id: template_medical_appointment
title: 'Request a Medical Appointment'
description: 'A medical appointment request webform template.'
categories: {  }
elements: |
  introduction:
    '#markup': 'After you submit the form, a care specialist will call you back within XX hours to schedule an appointment.'
  hr:
    '#type': webform_horizontal_rule
  call:
    '#markup': 'You may also speak with a care specialist directly by calling <a href="tel:XXX-XXX-XXXX">XXX-XXX-XXXX</a> on Monday–Friday between 8:30 am to 5:00 pm EST.'
  general:
    '#type': fieldset
    '#title': 'General Information'
    '#title_display': invisible
    '#attributes':
      style: 'background-color: #efefef'
    type:
      '#type': radios
      '#title': 'Who are you?'
      '#options':
        Patient: Patient
        Caregiver: Caregiver
      '#options_display': buttons
      '#required': true
    relationship:
      '#type': webform_select_other
      '#title': 'What is your relationship to the patient?'
      '#options': relationship
      '#states':
        visible:
          ':input[name="type"]':
            value: Caregiver
        required:
          ':input[name="type"]':
            value: Caregiver
  caregiver:
    '#type': fieldset
    '#title': 'Your Information'
    '#states':
      visible:
        ':input[name="type"]':
          value: Caregiver
    caregiver_name:
      '#type': webform_flexbox
      caregiver_first_name:
        '#title': 'Your First Name'
        '#type': textfield
        '#states':
          required:
            ':input[name="type"]':
              value: Caregiver
      caregiver_last_name:
        '#title': 'Your Last Name'
        '#type': textfield
        '#states':
          required:
            ':input[name="type"]':
              value: Caregiver
      '#title': 'Your Name'
    caregiver_contact:
      '#type': webform_flexbox
      caregiver_email:
        '#title': 'Your Email'
        '#type': email
        '#states':
          required:
            ':input[name="type"]':
              value: Caregiver
      caregiver_phone:
        '#title': 'Your Phone'
        '#type': tel
        '#placeholder': 000-000-0000
        '#states':
          required:
            ':input[name="type"]':
              value: Caregiver
    caregiver_phone_preferences:
      '#type': webform_custom_composite
      '#title': 'Your Phone Preferences'
      '#description': |
        Please select the best days and times for us to call you.<br/>
        <em>Leave blank if you have no preferences.</em>
        
      '#description_display': before
      '#multiple__min_items': '3'
      '#multiple__sorting': false
      '#multiple__operations': false
      '#multiple__add_more': false
      '#element':
        day:
          '#type': select
          '#options':
            Monday: Monday
            Tuesday: Tuesday
            Wednesday: Wednesday
            Thursday: Thursday
            Friday: Fridate
          '#title': 'Day of the Week'
          '#empty_option': 'Any day of the week'
        time:
          '#type': select
          '#options':
            '8am-10am EST': '8am-10am EST'
            '10am-12pm EST': '10am-12pm EST'
            '12pm-2pm EST': '12pm-2pm EST'
            '2pm-4pm EST': '2pm-4pm EST'
          '#title': 'Time of Day'
          '#empty_option': 'Any time of the day'
  patient:
    '#type': fieldset
    '#title': 'Patient Information'
    patient_name:
      '#type': webform_flexbox
      patient_first_name:
        '#title': 'Patient First Name'
        '#type': textfield
        '#required': true
      patient_last_name:
        '#title': 'Patient Last Name'
        '#type': textfield
        '#required': true
    patient_contact:
      '#type': webform_flexbox
      patient_email:
        '#title': 'Patient Email'
        '#type': email
        '#states':
          required:
            ':input[name="type"]':
              '!value': Caregiver
      patient_phone:
        '#title': 'Patient Phone'
        '#type': tel
        '#required': true
        '#placeholder': 000-000-0000
        '#states':
          required:
            ':input[name="type"]':
              '!value': Caregiver
    patient_phone_preferences:
      '#type': webform_custom_composite
      '#title': 'Patient Phone Preferences'
      '#description': |
        Please select the best days and times for us to call the patient.<br/>
        <em>Leave blank if the patient has no preferences.</em>'
        
      '#description_display': before
      '#multiple__min_items': '3'
      '#multiple__sorting': false
      '#multiple__operations': false
      '#multiple__add_more': false
      '#element':
        day:
          '#type': select
          '#options':
            Monday: Monday
            Tuesday: Tuesday
            Wednesday: Wednesday
            Thursday: Thursday
            Friday: Fridate
          '#title': 'Day of the Week'
          '#empty_option': 'Any day of the week'
        time:
          '#type': select
          '#options':
            '8am-10am EST': '8am-10am EST'
            '10am-12pm EST': '10am-12pm EST'
            '12pm-2pm EST': '12pm-2pm EST'
            '2pm-4pm EST': '2pm-4pm EST'
          '#title': 'Time of Day'
          '#empty_option': 'Any time of the day'
  appointment:
    '#type': fieldset
    '#title': 'Appointment Information (optional)'
    medical:
      '#type': textarea
      '#title': 'Please provide information about your medical needs'
      '#rows': 3
    insurance:
      '#type': textfield
      '#title': 'Please provide insurance plan name information'''
    referral:
      '#type': checkbox
      '#title': 'Have you been referred by a physician?'
    physician:
      '#type': textarea
      '#title': 'Please provide information about the referring physician'
      '#rows': 3
      '#states':
        visible:
          ':input[name="referral"]':
            checked: true
  actions:
    '#type': webform_actions
    '#title': 'Submit button(s)'
    '#submit__label': 'Send Request'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  ajax_progress_type: ''
  ajax_effect: ''
  ajax_speed: null
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  page_theme_name: ''
  form_title: source_entity_webform
  form_submit_once: false
  form_open_message: ''
  form_close_message: ''
  form_exception_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_disable_remote_addr: false
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_unsaved: true
  form_disable_back: false
  form_submit_back: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: true
  form_autofocus: false
  form_details_toggle: false
  form_reset: false
  form_access_denied: default
  form_access_denied_title: ''
  form_access_denied_message: ''
  form_access_denied_attributes: {  }
  form_file_limit: ''
  form_attributes: {  }
  form_method: ''
  form_action: ''
  share: false
  share_node: false
  share_theme_name: ''
  share_title: true
  share_page_body_attributes: {  }
  submission_label: ''
  submission_exception_message: ''
  submission_locked_message: ''
  submission_log: false
  submission_excluded_elements: {  }
  submission_exclude_empty: false
  submission_exclude_empty_checkbox: false
  submission_views: {  }
  submission_views_replace: {  }
  submission_user_columns: {  }
  submission_user_duplicate: false
  submission_access_denied: default
  submission_access_denied_title: ''
  submission_access_denied_message: ''
  submission_access_denied_attributes: {  }
  previous_submission_message: ''
  previous_submissions_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_progress_link: false
  wizard_progress_states: false
  wizard_start_label: ''
  wizard_preview_link: false
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_auto_forward: true
  wizard_auto_forward_hide_next_button: false
  wizard_keyboard: true
  wizard_track: ''
  wizard_prev_button_label: ''
  wizard_next_button_label: ''
  wizard_toggle: false
  wizard_toggle_show_label: ''
  wizard_toggle_hide_label: ''
  wizard_page_type: container
  wizard_page_title_tag: h2
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  preview_exclude_empty_checkbox: false
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  draft_pending_single_message: ''
  draft_pending_multiple_message: ''
  confirmation_type: page
  confirmation_url: '<front>'
  confirmation_title: 'Thank You'
  confirmation_message: 'Your request has been sent. A care specialist will call you back within XX hours to schedule an appointment.'
  confirmation_attributes: {  }
  confirmation_back: false
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  confirmation_update: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_total_unique: false
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  limit_user_unique: false
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  results_customize: false
  token_view: false
  token_update: false
  token_delete: false
  serial_disabled: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
  configuration:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  email_notification:
    id: email
    handler_id: email_notification
    label: 'Email notification'
    notes: ''
    status: true
    conditions: {  }
    weight: 0
    settings:
      states:
        - completed
      to_mail: _default
      to_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      cc_mail: ''
      cc_options: {  }
      from_mail: '[webform_submission:values:email:raw]'
      from_options: {  }
      from_name: '[webform_submission:values:name:raw]'
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
      subject: '[webform_submission:values:subject:raw]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      exclude_empty_checkbox: false
      exclude_attachments: false
      html: true
      attachments: false
      twig: false
      theme_name: ''
      parameters: {  }
      debug: false
variants: {  }
